package ru.dbotthepony.mc.otm.menu.slot;

import net.minecraft.world.Container;
import net.minecraft.world.item.ItemStack;
import ru.dbotthepony.mc.otm.menu.data.NetworkedItemView;

public class ItemViewInputSlot extends MatterySlot {
	public ItemViewInputSlot(Container p_40223_, int index, int x, int y, boolean auto_bg) {
		super(p_40223_, index, x, y, auto_bg);
	}

	public ItemViewInputSlot(Container p_40223_, int index, int x, int y) {
		super(p_40223_, index, x, y);
	}

	public ItemViewInputSlot(Container p_40223_, int index) {
		super(p_40223_, index);
	}

	public NetworkedItemView view;

	@Override
	public boolean mayPlace(ItemStack p_40231_) {
		if (view == null || view.remote) {
			return true;
		}

		return view.mayPlace(p_40231_);
	}

	@Override
	public void set(ItemStack p_40240_) {
		super.set(p_40240_);
	}
}
